http.get Retrieves a file via HTTP GET
Usage
http.get [switches] <http_url> [save_file_name]
Description

Attempts to download the file at <http_url> by using the HTTP GET or POST protocol.
If [save_file_name] is specified, then is is used as save file name, otherwise a save file dialog is displayed (unless -a is used).
The event OnHTTPGetTerminated is triggered upon the download completion (both in case of success or failure). If you want a callback command to be triggered instead please use http.asyncget. If the URL contains a https:// prefix then a SSL connection will be used.

Switches

-a=<auto_file_name> | --auto-file-name=<auto_file_name>
Don't show the save file dialog but determine automatically a file name. The file is put in the KVIrc incoming directory and the file name is the processed URL.
-e=<existing_file_action> | --existing-file-action=<existing_file_action>

Specifies the action to be taken when the local file already exists.
The action can be one of "i","e","o" or "r".
"i" causes the incoming file to be automatically renamed by appending a non colliding suffix. "e" causes the existing file to be renamed by appending a non colliding suffix (the incoming file will then have its name preserved). "o" causes the existing file to be overwritten and "r" will attempt to resume a interrupted transfer.
The default is to rename the incoming file.

-m=<max_content_length> | --max-len=<max_content_length>

Causes content longer than <max_content_length> to be discarded.
This is mainly to prevent you from automatically downloading 300 MiB files and to prevent DOS attacks from malicious servers that do not report the Content-length header.
If the Content-length header is reported by the server then the transfer is aborted if the length exceeds <max_content_length>.
If the Content-length header is missing then the transfer is interrupted when the received data length exceeds <max_content_length>.
-m=0 means "accept any content length" (which is the default).

-o=<content_offset> | --offset=<content_offset>

Causes the download to start from position <content offset>.
This can be used to download only a part of the file starting at byte <content_offset>.
<content_offset> is used regardless if the file is resumed or not. Please note that you don't need to specify the content offset when using -e=r : the offset is automatically calculated. If you specify both -o=<content_offset> and -e=r then the file will be resumed, the transfer will start at the specified offset and the received stream will be appended to the existing file.(avoid it unless you know what you're doing: it's easy to download broken files).

-t=<timeout_in_seconds> | --timeout=<timeout_in_seconds>
Changes the default connection timeout to the <timeout_in_seconds>. A connection stuck for more than <timeout_in_seconds> seconds will be simply aborted. The default timeout is 60 seconds and is appropriate for most operations. Use with care.
-h | --head
Causes the connection to use the HTTP HEAD method that effectively does not transfer real data. The server sends only the response headers. This might be used in conjunction with the -v option to print the headers to the active window.
-w=<flags> | --winctrl

This switch controls the creation and visualization of the transfer window. <flags> can be any combination of 'm','n' and 'h'. The 'h' flag causes the window to not be created. The transfer will simply run in background. Note that with 'h' the user has no possibility to interact with the transfer. The 'm' flag causes the transfer window to be created as "minimized". 'm' does nothing if the window already exists. The 'n' flag causes the window to be not activated (brought to top).

-i=<magic identifier> | --identifier=<magic identifier>
This identifier is passed as $3 parameter to the onhttpgetterminated when this transfer terminates. If this switch is not present then an empty string is used. With http.asyncget this parameter is passed to the callback command instead.
-p=<post data> | --post-data=<post data>
The request is sent in form of a POST request. <post data> is the urlencoded payload of the request. -p is incompatible with -h.
-q | --quiet
Do not notify download completion in the notifier window nor in the console.
-y | --no-output
Suppress any output in the file transfer window. This will effectively disable the file transfer window highlighting (so the user will not be alerted by a failed download unless he's really watching the window). This is useful when you're notifying failures in some other way...
-c | --clear
Automatically remove the transfer from the transfer list when terminated

See also
http.asyncget

Index, Commands